Bug 832243 - Sporadic JSON errors under MSIE
Summary: Sporadic JSON errors under MSIE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-15 00:58 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Identity Management Web UI was not entirely compatible with Microsoft Internet Explorer browser. Consequence: Administrators using Microsoft Internet Explorer may have experience glitches that may limit user experience when working with the Identity Management administration interface. Fix: Make Identity Management Web UI compatible with Microsoft Internet Explorer browser of version 9 or later. Result: Administrators using Microsoft Internet Explorer browser should no longer experience glitches limiting their user experience when working with the Web UI.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:15:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (26.64 KB, image/png)
2012-06-15 01:01 UTC, David Kovalsky
no flags Details
verified in ipa-server-3.0.0-22.el6.x86_64 (209.80 KB, image/png)
2013-01-29 15:27 UTC, Xiyang Dong
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 08:22:21 UTC

Description David Kovalsky 2012-06-15 00:58:22 UTC
Under specific circumstances, which seem to be something around: 
 - using IPA under Internet Exploder

 - machine part of AD (Windows-only network, not part of IPA)
  
 - with user entering login/password via Krb5Passwd (not negotiate)

 - leaving the window untouched for a couple of minutes


a JSON error pops up (see screenshot). The server is not under any load, network throughput is fine, and repeating the action eventually leads to the action being executed. 


/var/log/httpd/error.log gives me these hints:
[Thu Jun 14 16:04:57 2012] [error] ipa: ERROR: release_ipa_ccache: ccache_name (FILE:/tmp/krb5cc_apache_q4B5Vw) != KRB5CCNAME environment variable (FILE:/tmp/krb5cc_apach
[Thu Jun 14 16:04:58 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: batch: i18n_messages(): SUCCESS
[Thu Jun 14 16:04:58 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: batch: user_find(None, whoami=True, all=True): SUCCESS
[Thu Jun 14 16:04:58 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: batch: env(None): SUCCESS
[Thu Jun 14 16:04:58 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: batch: dns_is_enabled(): SUCCESS
[Thu Jun 14 16:04:58 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: batch(({u'params': [[], {}], u'method': u'i18n_messages'}, {u'params': [[], {u'all': True, u'whoami
[Thu Jun 14 16:05:00 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: JSONError
[Thu Jun 14 16:05:00 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: json_metadata(None, None, object=u'all'): SUCCESS
[Thu Jun 14 16:05:06 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: json_metadata(None, None, command=u'all'): SUCCESS
[Thu Jun 14 16:05:08 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: user_find(None, sizelimit=0, pkey_only=True): SUCCESS
[Thu Jun 14 16:05:09 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: batch: user_show(u'admin', all=True): SUCCESS
[Thu Jun 14 16:05:09 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: batch: user_show(u'bztest', all=True): SUCCESS
etc
....
[Thu Jun 14 16:05:09 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: batch(({u'params': [[u'myuser'], {u'all': True}], u'method': u'user_show'}, {u'params': [[u'adm
[Thu Jun 14 16:06:02 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: JSONError
[Thu Jun 14 16:06:05 2012] [error] ipa: INFO: user_obscured@DOMAIN_OBSCURED: JSONError



Given this is not repruducible with Firefox I blame IE for doing something messy with AD.

I still have the logs handy, if you point me to the right direction before they (log)rotate to log heaven, I'll be glad to paste them here. 


ipa-2.2.0-14.el6

Comment 1 David Kovalsky 2012-06-15 01:01:31 UTC
Created attachment 591957 [details]
screenshot

Comment 2 David Kovalsky 2012-06-15 01:06:42 UTC
One more thing perhaps related: the action leading up to this is entering part of the name into the search box and hitting enter.

Comment 4 Dmitri Pal 2012-06-19 13:01:15 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2855

Comment 5 Dmitri Pal 2012-09-24 14:18:44 UTC
This issue is not reproducible any more with the latest bits. Moving to QE to retest.

Comment 8 Xiyang Dong 2013-01-29 15:27:50 UTC
Created attachment 689881 [details]
verified in ipa-server-3.0.0-22.el6.x86_64

 
 - using IPA under Internet Exploder

 - machine part of AD (Windows-only network, not part of IPA)
  
 - with user entering login/password via Krb5Passwd (not negotiate)

 - leaving the window untouched for a couple of minutes


 no Sporadic JSON errors came out

Comment 10 errata-xmlrpc 2013-02-21 09:15:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html


Note You need to log in before you can comment on or make changes to this bug.